NotFoundAction (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.hibernate.annotations
Enum NotFoundAction

    java.lang.Object
      java.lang.Enum<NotFoundAction>
          org.hibernate.annotations.NotFoundAction

All Implemented Interfaces:
  Serializable, Comparable<NotFoundAction>

    public enum NotFoundAction

extends Enum<NotFoundAction>

Actoin to use when an element is not found in DB while beeing expected

Enum Constant Summary
`EXCEPTION` raise an exception when an element is not found (default and recommended)
`IGNORE` ignore the element when not found in DB

Method Summary
`static NotFoundAction` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static NotFoundAction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### EXCEPTION

    public static final NotFoundAction EXCEPTION

  raise an exception when an element is not found (default and recommended)

### IGNORE

    public static final NotFoundAction IGNORE

  ignore the element when not found in DB

Method Detail

### values

    public static NotFoundAction[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (NotFoundAction c : NotFoundAction.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static NotFoundAction valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.